IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_sql]') AND type = 'U')
CREATE TABLE [dbo].[mps_sql]
(
    [sql_cmpid] int NOT NULL DEFAULT((0)),
    [sql_name] varchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    [sql_type] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_text] nvarchar(4000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_note] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_sourcetables] varchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_targettables] varchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_params] varchar(4000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_keyparam] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    CONSTRAINT [PK_MPS_SQL] PRIMARY KEY ([sql_cmpid] ASC,[sql_name] ASC)
)